<?xml version="1.0" encoding="UTF-8"?>
<!ELEMENT Animation (Animation_TS_Filename, TS_ColorKey_RGB?, Sprite_Dimensions, Animation_Characteristics, Coordinates_n_CB_Modifier?)>
<!ELEMENT Animation_TS_Filename (#PCDATA)>
<!ELEMENT TS_ColorKey_RGB (ColorKey_R, ColorKey_G, ColorKey_B)>
<!ELEMENT ColorKey_R (#PCDATA)>
<!ELEMENT ColorKey_G (#PCDATA)>
<!ELEMENT ColorKey_B (#PCDATA)>
<!ELEMENT Sprite_Dimensions (Width, Height)>
<!ELEMENT Width (#PCDATA)>
<!ELEMENT Height (#PCDATA)>
<!ELEMENT Animation_Characteristics (Frames, KeyFrame?, Frames_Interval?)>
<!ELEMENT Frames (#PCDATA)>
<!ELEMENT KeyFrame (#PCDATA)> <!-- Warning frame number begin at 0-->
<!ELEMENT Frames_Interval (#PCDATA)> <!-- Must be set when more than one frame for animation-->
<!ELEMENT Coordinates_n_CB_Modifier (X_Modifier?, Y_Modifier?, CB_X_Modifier?, CB_Y_Modifier?, CB_W_Modifier?, CB_H_Modifier?)>
<!ELEMENT X_Modifier (#PCDATA)>
<!ELEMENT Y_Modifier (#PCDATA)>
<!ELEMENT CB_X_Modifier (#PCDATA)>
<!ELEMENT CB_Y_Modifier (#PCDATA)>
<!ELEMENT CB_W_Modifier (#PCDATA)>
<!ELEMENT CB_H_Modifier (#PCDATA)>
